%global with_tests 0%{?_with_tests:1}
Name:           python-u-msgpack-python
Version:        2.7.1
Release:        1
Summary:        A lightweight MessagePack serializer and deserializer module written in pure Python

License:        MIT
URL:            https://pypi.org/project/u-msgpack-python/
Source0:        https://github.com/vsergeev/u-msgpack-python/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools

%description
u-msgpack-python is a lightweight MessagePack serializer and deserializer module written in pure Python,
compatible with both Python 2 and Python 3, as well as CPython and PyPy implementations of Python.
u-msgpack-python is fully compliant with the latest MessagePack specification. In particular, it supports
the new binary, UTF-8 string, and application-defined ext types.

%package -n     python3-u-msgpack-python
Summary:        A lightweight MessagePack serializer and deserializer module written in pure Python
%{?python_provide:%python_provide python3-u-msgpack-python}

%description -n python3-u-msgpack-python
u-msgpack-python is a lightweight MessagePack serializer and deserializer module written in pure Python,
compatible with both Python 2 and Python 3, as well as CPython and PyPy implementations of Python.
u-msgpack-python is fully compliant with the latest MessagePack specification. In particular, it supports
the new binary, UTF-8 string, and application-defined ext types.

%prep
%autosetup -n   u-msgpack-python-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%if %{with_tests}
%{__python3} setup.py test
%endif

%files -n python3-u-msgpack-python
%license LICENSE
%doc README.md
%{python3_sitelib}/{__pycache__/*,umsgpack.py}
%{python3_sitelib}/u_msgpack_python-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jun 07 2022 yangping <yangping69@h-partners.com> - 2.7.1-1
- Update to V2.7.1

* Fri Apr 15 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 2.5.0-4
- Fix build error caused by py3.10+ wildcard

* Sun Sep 26 2021 caodongxia <caodongxia@huawei.com> - 2.5.0-3
- Provides python-u-msgpack-python

* Wed Jan 8 2020 chenli<chenli147@huawei.com> 2.5.0-2
- Initial package

